; NOTES on 2002 Lab1 on sim11:
;
; Setup: Ensure that this file (lab1) is loaded (source or object).
;
; USING THE BUFFALO MONITOR
;
; To simulate the BUFFALO monitor, select:
;
;           1) Options --> Load BUFFALO      (Menubar)
;           2) Reset                         (Toolbar)
;           3) Run                           (Toolbar)
;
;  You can then interact with the BUFFALO monitor in the SCI window.
;
;  All the demos seem to work with the following minor exceptions:
;      * Control-C does not close the virtual terminal
;      * The initial contents of 0x6000 (and all RAM) is 0x01 not 0xFF
;
;
; USING THE NATIVE SIMULATOR GUI
;
;  The native sim11 Graphical User Interface is (IMHO)
;  more instructive.  There is no need to load the BUFFALO
;  monitor, single-stepping updates all visible information,
;  it is easy to change the PC by directly modifying it or,
;  if the source code has been loaded, by clicking on the
;  line for the next instruction...  


;   ASSIGNMENT SOURCE CODE
;
    org $6000
    ldaa multiplicand
    ldab multiplier
    mul
    std  product
    swi

   org $7000
multiplicand fcb 5
multiplier   fcb 7
product      rmb 2  ;Should be set to 35 decimal (i.e. 0x0023)
