;A simple program demonstrate basic simulator usage.
;It is similar to ex1-simple, but uses subroutines.

;The only instructions used are:
;   adda,  clra, inca, jmp, jsr, ldaa,
;   rts, and staa.
;Only Inherent and Extended addressing modes are used.

; By convention, this segment begins at 0x6000.
              org $6000   ;ROMable segment
main:
              jsr init

forever:
              jsr calculate
              jmp forever
init:
              clra
              staa firstNumber
              inca
              staa secondNumber
              rts

calculate:
              ldaa secondNumber
              staa oldSecondNumber
              ldaa firstNumber
              adda secondNumber
              staa secondNumber
              ldaa oldSecondNumber
              staa firstNumber
              rts

; Modifiable data --  starts (by convention) at 0x7000
                org $7000
firstNumber     rmb 1  
secondNumber    rmb 1
oldSecondNumber rmb 1

              end
