package com.kclowes.sim11;
/** The abstract ADDA instruction.
 *
 */
public abstract class AddaAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      CPU6811.AccA = add8(CPU6811.AccA, op);
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "ADDA";
    }
}
