package com.kclowes.sim11;
/** The abstract ADDD instruction.
 *
 */
public abstract class AdddAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      cpu.setAccD(add16(cpu.getAccD(), op));
      cpu.incrementCycles();
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "ADDD";
    }
}
