package com.kclowes.sim11;
/**The ASLA instruction with inherent addressing.
 */

public class AslaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	cpu.AccA = asl8(cpu.AccA);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "ASLA";
    }
}
