package com.kclowes.sim11;
/**The ASRA instruction with inherent addressing.
 */

public class AsraInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	cpu.AccA = asr8(cpu.AccA);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "ASRA";
    }
}
