package com.kclowes.sim11;
/**The ASRB instruction with inherent addressing.
 */

public class AsrbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	cpu.AccB = asr8(cpu.AccB);
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "ASRB";
    }
}
