package com.kclowes.sim11;
/** The abstract BCLR instruction.
 *
 */
public abstract class BclrAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();
    private int address;
    private int mask;
    final public int execute()
    {
	int op;
	address = getOperandAddress(); // First byte after opcode
	op = getByteAt(address);
	mask = getMask();
	op = op & (~mask);
	writeOperand8(op, address);
	cpu.incrementCycles();
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "BCLR";
    }
}
