package com.kclowes.sim11;
/**The BGT instruction with rel addressing.
 */

public class Bgt extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int offset = getImmediateOperand();
	//	if ((CPU6811.CC_N == cpu.CC_V) && !cpu.CC_Z) {
	if (!((CPU6811.CC_N != cpu.CC_V) || cpu.CC_Z)) {
	    offset = (byte) (offset&0xff);
	    CPU6811.PC += offset;
	}
	cpu.incrementCycles();
	return -1;
    }


    final int getAddressingMode() {return Instruction.REL;}

    final protected String getOpSymbolic()
    {
      return "BGT";
    }
}
