package com.kclowes.sim11;
/** The abstract BITB instruction.
 *
 */
public abstract class BitbAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      int res = cpu.AccB & op;
      cpu.CC_V = false;
      cpu.CC_Z = res == 0;
      cpu.CC_N = (res &0x80) == 0x80;
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "BITB";
    }
}
