package com.kclowes.sim11;
/**The BRN instruction with rel addressing.
 */

public class Brn extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int offset = getImmediateOperand();
	cpu.incrementCycles();
	return -1;
    }


    final int getAddressingMode() {return Instruction.REL;}

    final protected String getOpSymbolic()
    {
      return "BRN";
    }
}
