package com.kclowes.sim11;
/**The CLC instruction with inherent addressing.
 */

public class ClcInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.CC_C = false;
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "CLC";
    }
}
