package com.kclowes.sim11;
/**The CLI instruction with inherent addressing.
 */

public class CliInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.CC_I = false;
	cpu.incrementCycles();
	return -1;
    }


    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "CLI";
    }
}
