package com.kclowes.sim11;
/**The CLRA instruction with inherent addressing.
 * 
 * @version 1.1 (June 28, 2002)
 * @author Ken Clowes
 */
//Created automatically.
public class ClraInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.setAccA(0);
	cpu.setCC_Z(true);
	cpu.setCC_N(false);
	cpu.setCC_V(false);
	cpu.setCC_C(false);
	cpu.incrementCycles(); //Added June 28, 2002
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "CLRA";
    }
}
