package com.kclowes.sim11;
/**The COMB instruction with inherent addressing.
 */

public class CombInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccB = com8(cpu.AccB);
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "COMB";
    }
}
