package com.kclowes.sim11;
/** The abstract CPD instruction.
 *
 */
public abstract class CpdAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      sub16(cpu.getAccD(), op);
      cpu.incrementCycles();
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "CPD";
    }
}
