package com.kclowes.sim11;
/**The DECA instruction with inherent addressing.
 */

public class DecaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccA = sub8(cpu.AccA, 1);
	cpu.incrementCycles();  //Added manually (kclowes)
	return -1;
    }
    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "DECA";
    }
}
