package com.kclowes.sim11;
/**The DECB instruction with inherent addressing.
 */

public class DecbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();


    final public int execute()
    {
	cpu.AccB = sub8(cpu.AccB, 1);
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "DECB";
    }
}
