package com.kclowes.sim11;
/**The DummyPopAll pseudo-instruction pops all the registers.
 * 
 * 
 * @version 1.0 (August 20, 2002)
 * @author Ken Clowes
 */

public class DummyPopAll extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	popAll();
	return 0;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "xxxxx";
    }
}
