package com.kclowes.sim11;
/**The FDIV instruction with inherent addressing.
 */

public class FdivInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	int quotient;
	int remainder;
	long numerator = (long) cpu.getAccD();
	numerator = numerator<<16;
	long denominator = (long) cpu.getIX();
	//CHECK what really happens on 6811 when "divide by zero"!
	if (denominator != 0) {
	    quotient = (int) (numerator / denominator);
	    remainder = (int) (numerator % denominator);
	} else {
	    quotient = 0;
	    remainder = 0;
	}
	cpu.setAccD(remainder);
	cpu.setIX(quotient);
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "FDIV";
    }
}
