package com.kclowes.sim11;
/**The INY instruction with inherent addressing.
 */

public class InyInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.IY = add16(cpu.IY, 1);
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "INY";
    }
}
