package com.kclowes.sim11;
/** The abstract JSR instruction.
 *
 * Modified: September 6, 2002 (reduced number of cycles by 1)
 */
public abstract class JsrAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	push16(cpu.PC);
	cpu.PC = address;
	cpu.incrementCycles();
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "JSR";
    }
}
