package com.kclowes.sim11;
/** The abstract LDD instruction.
 *
 */
public abstract class LddAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      cpu.setAccD(op);
      setNZ16(op);
      cpu.setCC_V(false);
      return -1;
    }


    final protected String getOpSymbolic()
    {
      return "LDD";
    }
}
