package com.kclowes.sim11;
/** The abstract LDX instruction.
 *
 */
public abstract class LdxAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      setNZ16(op);
      cpu.IX = op;
      cpu.setCC_V(false);
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "LDX";
    }
}
