package com.kclowes.sim11;
/**The LSRA instruction with inherent addressing.
 */

public class LsraInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.setAccA(lsr8(cpu.AccA));
        cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "LSRA";
    }
}
