package com.kclowes.sim11;
/**The LSRB instruction with inherent addressing.
 */

public class LsrbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	//WAS!!!	cpu.AccB = asl8(cpu.AccB);
	cpu.setAccB(lsr8(cpu.AccB));
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "LSRB";
    }
}
