package com.kclowes.sim11;
/**The NEGA instruction with inherent addressing.
 */

public class NegaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccA = sub8(0, cpu.AccA);
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "NEGA";
    }
}
