package com.kclowes.sim11;
/**The NEGB instruction with inherent addressing.
 */

public class NegbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccB = sub8(0, cpu.AccB);
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "NEGB";
    }
}
