package com.kclowes.sim11;
/**The NOP instruction with inherent addressing.
 */

public class NopInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "NOP";
    }
}
