package com.kclowes.sim11;
/**The PSHX instruction with inherent addressing.
 */

public class PshxInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	push16(cpu.IX);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "PSHX";
    }
}
