package com.kclowes.sim11;
/**The PULA instruction with inherent addressing.
 */

public class PulaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccA = pop8();
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "PULA";
    }
}
