package com.kclowes.sim11;
/**The PULB instruction with inherent addressing.
 */

public class PulbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccB = pop8();
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "PULB";
    }
}
