package com.kclowes.sim11;
/**The RORB instruction with inherent addressing.
 */

public class RorbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccB = ror8(cpu.AccB);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "RORB";
    }
}
