package com.kclowes.sim11;
/**The RTS instruction with inherent addressing.
 */

public class RtsInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int retAddress = pop16();
	cpu.PC = retAddress;
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "RTS";
    }
}
