package com.kclowes.sim11;
/**The SEI instruction with inherent addressing.
 */

public class SeiInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.CC_I = true;
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "SEI";
    }
}
