package com.kclowes.sim11;
/** The abstract STAB instruction.
 *
 */
public abstract class StabAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	setNZ8(cpu.AccB);
	cpu.CC_V = false;
	writeOperand8(cpu.AccB, address);
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "STAB";
    }
}
