package com.kclowes.sim11;
/**The SWI instruction with inherent addressing.
 */

public class SwiInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();
    private MemorySpace mem = MemorySpace64K.getInstance();
    static int SWI_VECTOR = 0xFFF6;
    public int execute()
    {
      pushAll();
      cpu.setPC(read16(SWI_VECTOR));
      cpu.incrementCycles();
      cpu.incrementCycles();
      return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "SWI";
    }
}
