package com.kclowes.sim11;
/**The TAB instruction with inherent addressing.
 */

public class TabInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccB = cpu.AccA;
	setNZ8(cpu.AccB);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "TAB";
    }
}
