package com.kclowes.sim11;
/**The TEST instruction with inherent addressing.
 */

public class TestInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	Warn.NoTestInstruction(cpu.getPC()-1);
	return -2;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "TEST";
    }
}
