package com.kclowes.sim11;
/** The abstract TST instruction.
 *
 */
public abstract class TstAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int op = getOperand();
	setNZ8(op);
	cpu.CC_V = false;
	cpu.CC_C = false;
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "TST";
    }
}
