package com.kclowes.sim11;
/**The TSTB instruction with inherent addressing.
 */

public class TstbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	setNZ8(cpu.AccB);
	cpu.CC_V = false;
	cpu.CC_C = false;
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "TSTB";
    }
}
