package com.kclowes.sim11;
/**The TSX instruction with inherent addressing.
 */

public class TsxInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.IX = cpu.getSP()+1;
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "TSX";
    }
}
