package com.kclowes.sim11;
/**The TXS instruction with inherent addressing.
 */

public class TxsInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.setSP(cpu.IX-1);
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "TXS";
    }
}
