package com.kclowes.sim11;
/**The TYS instruction with inherent addressing.
 */

public class TysInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.setSP(cpu.IY-1);
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "TYS";
    }
}
