package com.kclowes.sim11;
/**The XGDY instruction with inherent addressing.
 */

public class XgdyInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int tmp;
	tmp = cpu.getAccD();
	cpu.setAccD(cpu.IY);
	cpu.IY = tmp;
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }


    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "XGDY";
    }
}
