package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the lo byte of the TOC1 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC1lo extends TOClo
{
    static private TOC1lo INSTANCE = null;
    public static TOC1lo getInstance()
    {
	if (INSTANCE == null) {
	    INSTANCE = new TOC1lo(DevRegisters.TOC1_ADDRESS  + 1);
	}
	return INSTANCE;
    }
    
    private TOC1lo(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC1-lo";
    }

    protected int getOCChannel()
    {
	return 1;
    }
}

