package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the hi byte of the TOC3 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC3hi extends TOChi
{
    static private TOC3hi INSTANCE = new TOC3hi(DevRegisters.TOC3_ADDRESS);
    public static TOC3hi getInstance()
    {
	return INSTANCE;
    }
    
    private TOC3hi(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC3-hi";
    }
}

