package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the lo byte of the TOC3 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC3lo extends TOClo
{
    static private TOC3lo INSTANCE = new TOC3lo(DevRegisters.TOC3_ADDRESS+1);
    public static TOC3lo getInstance()
    {
	return INSTANCE;
    }
    
    private TOC3lo(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC3-lo";
    }

    protected int getOCChannel()
    {
	return 3;
    }
}

