package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the hi byte of the TOC4 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC4hi extends TOChi
{
    static private TOC4hi INSTANCE = new TOC4hi(DevRegisters.TOC4_ADDRESS);
    public static TOC4hi getInstance()
    {
	return INSTANCE;
    }
    
    private TOC4hi(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC4-hi";
    }
}

