package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the hi byte of the TOC5 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC5hi extends TOChi
{
    static private TOC5hi INSTANCE = new TOC5hi(DevRegisters.TOC5_ADDRESS);
    public static TOC5hi getInstance()
    {
	return INSTANCE;
    }
    
    private TOC5hi(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC5-hi";
    }
}

