package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the lo byte of the TOC5 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC5lo extends TOClo
{
    static private TOC5lo INSTANCE = new TOC5lo(DevRegisters.TOC5_ADDRESS+1);
    public static TOC5lo getInstance()
    {
	return INSTANCE;
    }
    
    private TOC5lo(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC5-lo";
    }

    protected int getOCChannel()
    {
	return 5;
    }
}

