package com.kclowes.sim11.ui;
import com.kclowes.sim11.*;
import com.kclowes.sim11.devices.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.html.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
/** Creates a frame for License Info about sim11.
 * </p>
 *  @version 1.0 (September 16, 2002)
 *  @author Ken Clowes
 */

public class LicenseInfo extends JFrame
{
    String SIM11_HOME = System.getProperty("SIM11_HOME");
    LicenseInfo()
    {
	JEditorPane infoPane = null;
	JScrollPane scroll = null;
	String url = "file:" + SIM11_HOME + "/LICENSE-GPL.txt";
	setDefaultCloseOperation(DISPOSE_ON_CLOSE);
	//	System.out.println("SIM11_HOME: " + SIM11_HOME);
	
	try {
	    infoPane = new JEditorPane(url);
	    infoPane.setEditable(false);
	    scroll = new JScrollPane(infoPane);

	    setLocation(300, 400);
	    setSize(400, 150);
	    setVisible(true);
	    getContentPane().add(scroll);
	    pack();
	    setSize(600, 300);
	    show();
	} catch (IOException e) {
	    System.out.println("Got unexpected exception: " + e);
	    System.out.println("\nProbable reason: " +
			       "the Property \"SIM11_HOME\"\n" +
			       " (currently: " + SIM11_HOME +
			       ")\n was incorrectly set.");
	}
    }
    
    static public void main(String args[])
    {
	LicenseInfo mainFrame = new LicenseInfo();
    }
}
