BUMPERS_voltages rmb 8   ;Buffer for checkBumpers subroutine
;; @name checkBumpers
;; Determines the state of bow and stern bumpers.
;;
;; @return AccA 0 if bow not hit; else 0xFF if hit
;; @return AccB 0 if stern not hit; else 0xFF if hit
;; @side CC 
checkBumpers:
      ldx #BUMPERS_voltages
      jsr getAllADChannels
      ldaa BOW_BUMPER_ADCHANNEL,x
      cmpa #BUMPER_THRESHOLD_LOW
      bhs  bumpers_bow_not_hit
      ldaa #$FF
      bra BMP_chkb_bow_endif
bumpers_bow_not_hit:
      clra
BMP_chkb_bow_endif
      ldab STERN_BUMPER_ADCHANNEL,x
      cmpb #BUMPER_THRESHOLD_LOW
      bhs bumpers_stern_hit
      ldab #$FF
      bra BMP_chkb_stern_endif
bumpers_stern_hit:
      clrb
BMP_chkb_stern_endif
       rts

