; Lab 3 (2002)  Battery and Bumper Displays
; author: Ken Clowes
; date:  November 1, 2002
; Battery voltage (scaled) on PE0 v = (Vbatt - 0.6)/2
; Bow bumper               on PE2  v < 0.5 HIT  v > 2 OFF  else ?
; Stern bumper             on PE3  v < 0.5 HIT  v > 2 OFF  else ?
; Frob knob                on PE4

;   LCD Display Format
;
;                               1 1 1 1 1 1(1 1 1 1) 
;     col   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5(6 7 8 9)
;     line1 B o w :   *   S t e r n :   *
;     line2 B a t t e r y :   # . @
;
;        Where:
;                * = 'Y' (hit), 'N' (not hit) or '?' (invalid voltage)
;                # = Battery volts
;                @ = Battery tenths of volts

       org $6000
main:
       jsr init

forever:
       jsr doLab3
       jmp forever

init:
       jsr clearLCD
       ldx #lcdHello
       jsr putstrLCD
       jsr putstr
       rts

doLab3:
       jsr clearLCD
       jsr battery
       ldx #message
       jsr putstrLCD
       rts



battery:
      rts


       org $7000
lcdHello   fcc 'Hi from lab3'
           fcb 0
message    fcc 'Bow: '
bowBumperAscii
           fcb '*
           fcc ' Stern: '
sternBumperAscii
           fcb '*
           fcb NEWLINE
           fcc 'Battery: '
batteryVoltsAscii
           fcb '#
           fcb '.
batteryTenthsVoltsAscii
           fcb '@
           fcb 0
#include "stdlib.asm"
