package com.kclowes.sim11;
/**The ABA instruction with inherent addressing.
 */

public class AbaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.setAccA(add8(cpu.getAccA(), cpu.getAccB()));
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "ABA";
    }
}
