package com.kclowes.sim11;
/**The ABX instruction with inherent addressing.
 */

public class AbxInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	cpu.IX = (char)(cpu.AccB&0xff) + cpu.IX;
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "ABX";
    }
}
