package com.kclowes.sim11;
/**The ABY instruction with inherent addressing.
 */

public class AbyInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	cpu.IY = (char)(cpu.AccB&0xff) + cpu.IY;
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "ABY";
    }
}
