package com.kclowes.sim11;
/** The abstract ANDA instruction.
 *
 */
public abstract class AndaAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int op = getOperand();
	CPU6811.AccA = and8(CPU6811.AccA, op);
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "ANDA";
    }
}
