package com.kclowes.sim11;
/**The BHS instruction with rel addressing.
 */

public class Bhs extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int offset = getImmediateOperand();
	if (!CPU6811.CC_C) {
	    offset = (byte) (offset&0xff);
	    CPU6811.PC += offset;
	}
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.REL;}

    final protected String getOpSymbolic()
    {
      return "BHS";
    }
}
