package com.kclowes.sim11;
/**The BVC instruction with rel addressing.
 */

public class Bvc extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();


    final public int execute()
    {
	int offset = getImmediateOperand();
	if (!CPU6811.CC_V) {
	    offset = (byte) (offset&0xff);
	    CPU6811.PC += offset;
	}
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.REL;}

    final protected String getOpSymbolic()
    {
      return "BVC";
    }
}
