package com.kclowes.sim11;
/**The CBA instruction with inherent addressing.
 */

public class CbaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	sub8(cpu.AccA, cpu.AccB);
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "CBA";
    }
}
