package com.kclowes.sim11;
/** The abstract CLR instruction.
 *
 */
public abstract class ClrAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();
 
    final public int execute()
    {
	int address = getOperandAddress();
	writeOperand8(0, address);
	cpu.setCC_Z(true);
	cpu.setCC_N(false);
	cpu.setCC_V(false);
	cpu.setCC_C(false);
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }


    final protected String getOpSymbolic()
    {
      return "CLR";
    }
}
