package com.kclowes.sim11;
/**The CLRA instruction with inherent addressing.
 */

public class ClrbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	CPU6811.AccB = 0;
	CPU6811.CC_Z = true;
	cpu.setCC_N(false);
	cpu.setCC_V(false);
	cpu.setCC_C(false);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "CLRB";
    }
}
