package com.kclowes.sim11;
/** The abstract CMPA instruction.
 *
 */
public abstract class CmpaAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      sub8(cpu.AccA, op);
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "CMPA";
    }
}
