package com.kclowes.sim11;
/** The abstract CMPB instruction.
 *
 */
public abstract class CmpbAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      sub8(cpu.AccB, op);
      return -1;
    }


    final protected String getOpSymbolic()
    {
      return "CMPB";
    }
}
