package com.kclowes.sim11;
/** The abstract CPY instruction.
 *
 */
public abstract class CpyAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      sub16(cpu.IY, op);
      cpu.incrementCycles();
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "CPY";
    }
}
