package com.kclowes.sim11;
/** The abstract DEC instruction.
 *
 */
public abstract class DecAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    private int address;

    final public int execute()
    {
	address = getOperandAddress();
	int op = getOperand();
	op = sub8(op, 1);
	writeOperand8(op, address);
	cpu.incrementCycles();
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "DEC";
    }
}
