package com.kclowes.sim11;
/**The DEX instruction with inherent addressing.
 */

public class DexInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.IX = sub16(cpu.IX, 1);
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "DEX";
    }
}
