package com.kclowes.sim11;
/**The DEY instruction with inherent addressing.
 */

public class DeyInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	//	cpu.IY = sub16(cpu.IY, 1);
	cpu.setIY(dec16(cpu.getIY()));
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "DEY";
    }
}
