package com.kclowes.sim11;
/**The DummyRead16 pseudo-instruction reads a 16 bit value
 * from memory.
 * 
 * 
 * @version 1.0 (August 20, 2002)
 * @author Ken Clowes
 */

public class DummyRead16 extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();
    private int address = 0;

    final public int execute()
    {
	return read16(address);
    }

    final void setAddress(int address)
    {
	this.address = address;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "xxxxx";
    }
}
