package com.kclowes.sim11;
/**The IDIV instruction with inherent addressing.
 */

public class IdivInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	int p = cpu.getAccD();
	int q = cpu.getIX();
	int quotient;
	int remainder;
	//CHECK what really happens on 6811 when "divide by zero"!
	if (q != 0) {
	    quotient = p/q;
	    remainder = p % q;
	} else {
	    quotient = 0;
	    remainder = 0;
	}
	cpu.setAccD(remainder);
	cpu.setIX(quotient);
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	    
      return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "IDIV";
    }
}
