package com.kclowes.sim11;
/** The abstract INC instruction.
 *
 */
public abstract class IncAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();
    private int address;

    final public int execute()
    {
	address = getOperandAddress();
	int op = getOperand();
	op = inc8(op);
	writeOperand8(op, address);
	cpu.incrementCycles();
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "INC";
    }
}
