package com.kclowes.sim11;
/**The INCA instruction with inherent addressing.
 */

public class IncaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();


    final public int execute()
    {
	cpu.AccA = inc8(cpu.AccA);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "INCA";
    }
}
