package com.kclowes.sim11;
/**The INCB instruction with inherent addressing.
 */

public class IncbInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();
   final public int execute()
    {
	cpu.AccB = inc8(cpu.AccB);
	cpu.incrementCycles();  //Added manually (kclowes)
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "INCB";
    }
}
