package com.kclowes.sim11;
/**The INS instruction with inherent addressing.
 */

public class InsInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.incrementSP();
	return -1;
    }


    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "INS";
    }
}
