package com.kclowes.sim11;
/** The root interface for all instructions.
 *
 */

public interface Instruction {
    public static final int IMM8 = 1;
    public static final int INH = 2;
    public static final int REL = 3;
    public static final int IX8 = 4;
    public static final int IY8 = 5;
    public static final int DIR8 = 6;
    public static final int EXT8 = 7;
    public static final int IX16 = 8;
    public static final int IY16 = 9;
    public static final int DIR16 = 10;
    public static final int EXT16 = 11;
    public static final int IMM16 = 12;
    public static final int IX2 = 13;
    public static final int IY2 = 14;
    public static final int DIR2 = 15;
    public static final int IX3 = 16;
    public static final int IY3 = 17;
    public static final int DIR3 = 18;


    public static final int STOP = -2;
    public static final int STOP_ON_SWI = -3;

    public int execute();
    public String toDisassembledString();
}
