package com.kclowes.sim11;
/** The abstract JMP instruction.
 *
 */
public abstract class JmpAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address;
	
	address = getOperandAddress();
	cpu.PC = address;
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "JMP";
    }
}
