package com.kclowes.sim11;
/** The abstract LDAA instruction.
 *
 */
public abstract class LdaaAbstract extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int op = getOperand();
	cpu.setAccA(op);
	setNZ8(op);
	cpu.setCC_V(false);
	return -1;
    }

    final protected String getOpSymbolic()
    {
	return "LDAA";
    }
}
