package com.kclowes.sim11;
/** The abstract LDAB instruction.
 *
 */
public abstract class LdabAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int op = getOperand();
	cpu.AccB = op;
	setNZ8(op);
	cpu.CC_V = false;
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "LDAB";
    }
}
