package com.kclowes.sim11;
/** The abstract LDS instruction.
 *
 */
public abstract class LdsAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      setNZ16(op);
      cpu.setSP(op);
      cpu.setCC_V(false);
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "LDS";
    }
}
