package com.kclowes.sim11;
/** The abstract LDY instruction.
 *
 */
public abstract class LdyAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      setNZ16(op);
      cpu.IY = op;
      cpu.setCC_V(false);
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "LDY";
    }
}
