package com.kclowes.sim11;
/** The abstract LSL instruction.
 *
 */
public abstract class LslAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	int op = getOperand();
	cpu.setCC_C((op&0x80) == 0x80);
	op = asl8(op);
	writeOperand8(op, address);
	setNZ8(op);
	cpu.setCC_V(cpu.getCC_C() != cpu.getCC_N());
	cpu.incrementCycles();
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "LSL";
    }
}
