package com.kclowes.sim11;
/**The LSRD instruction with inherent addressing.
 */

public class LsrdInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	int d = cpu.getAccD();
	d = d>>1;
	cpu.CC_C = d > 0xffff;
	cpu.setAccD(d);
	return -1;
    }


    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "LSRD";
    }
}
