package com.kclowes.sim11;
/**The MUL instruction with inherent addressing.
 */

public class MulInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int result = cpu.AccA * cpu.AccB;
	cpu.setAccD(result);
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "MUL";
    }
}
