package com.kclowes.sim11;
public class OpCodes18 {
    static final Instruction Opcodes18[] = {
        new IllegalInstruction(),    //0x00
        new IllegalInstruction(),    //0x01
        new IllegalInstruction(),    //0x02
        new IllegalInstruction(),    //0x03
        new IllegalInstruction(),    //0x04
        new IllegalInstruction(),    //0x05
        new IllegalInstruction(),    //0x06
        new IllegalInstruction(),    //0x07
        new InyInh(),    //0x08
        new DeyInh(),    //0x09
        new IllegalInstruction(),    //0x0A
        new IllegalInstruction(),    //0x0B
        new IllegalInstruction(),    //0x0C
        new IllegalInstruction(),    //0x0D
        new IllegalInstruction(),    //0x0E
        new IllegalInstruction(),    //0x0F
        new IllegalInstruction(),    //0x10
        new IllegalInstruction(),    //0x11
        new IllegalInstruction(),    //0x12
        new IllegalInstruction(),    //0x13
        new IllegalInstruction(),    //0x14
        new IllegalInstruction(),    //0x15
        new IllegalInstruction(),    //0x16
        new IllegalInstruction(),    //0x17
        new IllegalInstruction(),    //0x18
        new IllegalInstruction(),    //0x19
        new IllegalInstruction(),    //0x1A
        new IllegalInstruction(),    //0x1B
        new BsetIndY(),    //0x1C
        new BclrIndY(),    //0x1D
        new BrsetIndY(),    //0x1E
        new BrclrIndY(),    //0x1F
        new IllegalInstruction(),    //0x20
        new IllegalInstruction(),    //0x21
        new IllegalInstruction(),    //0x22
        new IllegalInstruction(),    //0x23
        new IllegalInstruction(),    //0x24
        new IllegalInstruction(),    //0x25
        new IllegalInstruction(),    //0x26
        new IllegalInstruction(),    //0x27
        new IllegalInstruction(),    //0x28
        new IllegalInstruction(),    //0x29
        new IllegalInstruction(),    //0x2A
        new IllegalInstruction(),    //0x2B
        new IllegalInstruction(),    //0x2C
        new IllegalInstruction(),    //0x2D
        new IllegalInstruction(),    //0x2E
        new IllegalInstruction(),    //0x2F
        new TsyInh(),    //0x30
        new IllegalInstruction(),    //0x31
        new IllegalInstruction(),    //0x32
        new IllegalInstruction(),    //0x33
        new IllegalInstruction(),    //0x34
        new TysInh(),    //0x35
        new IllegalInstruction(),    //0x36
        new IllegalInstruction(),    //0x37
        new PulyInh(),    //0x38
        new IllegalInstruction(),    //0x39
        new AbyInh(),    //0x3A
        new IllegalInstruction(),    //0x3B
        new PshyInh(),    //0x3C
        new IllegalInstruction(),    //0x3D
        new IllegalInstruction(),    //0x3E
        new IllegalInstruction(),    //0x3F
        new IllegalInstruction(),    //0x40
        new IllegalInstruction(),    //0x41
        new IllegalInstruction(),    //0x42
        new IllegalInstruction(),    //0x43
        new IllegalInstruction(),    //0x44
        new IllegalInstruction(),    //0x45
        new IllegalInstruction(),    //0x46
        new IllegalInstruction(),    //0x47
        new IllegalInstruction(),    //0x48
        new IllegalInstruction(),    //0x49
        new IllegalInstruction(),    //0x4A
        new IllegalInstruction(),    //0x4B
        new IllegalInstruction(),    //0x4C
        new IllegalInstruction(),    //0x4D
        new IllegalInstruction(),    //0x4E
        new IllegalInstruction(),    //0x4F
        new IllegalInstruction(),    //0x50
        new IllegalInstruction(),    //0x51
        new IllegalInstruction(),    //0x52
        new IllegalInstruction(),    //0x53
        new IllegalInstruction(),    //0x54
        new IllegalInstruction(),    //0x55
        new IllegalInstruction(),    //0x56
        new IllegalInstruction(),    //0x57
        new IllegalInstruction(),    //0x58
        new IllegalInstruction(),    //0x59
        new IllegalInstruction(),    //0x5A
        new IllegalInstruction(),    //0x5B
        new IllegalInstruction(),    //0x5C
        new IllegalInstruction(),    //0x5D
        new IllegalInstruction(),    //0x5E
        new IllegalInstruction(),    //0x5F
        new NegIndY(),    //0x60
        new IllegalInstruction(),    //0x61
        new IllegalInstruction(),    //0x62
        new ComIndY(),    //0x63
        new LsrIndY(),    //0x64
        new IllegalInstruction(),    //0x65
        new RorIndY(),    //0x66
        new AsrIndY(),    //0x67
        new LslIndY(),    //0x68
        new RolIndY(),    //0x69
        new DecIndY(),    //0x6A
        new IllegalInstruction(),    //0x6B
        new IncIndY(),    //0x6C
        new TstIndY(),    //0x6D
        new JmpIndY(),    //0x6E
        new ClrIndY(),    //0x6F
        new IllegalInstruction(),    //0x70
        new IllegalInstruction(),    //0x71
        new IllegalInstruction(),    //0x72
        new IllegalInstruction(),    //0x73
        new IllegalInstruction(),    //0x74
        new IllegalInstruction(),    //0x75
        new IllegalInstruction(),    //0x76
        new IllegalInstruction(),    //0x77
        new IllegalInstruction(),    //0x78
        new IllegalInstruction(),    //0x79
        new IllegalInstruction(),    //0x7A
        new IllegalInstruction(),    //0x7B
        new IllegalInstruction(),    //0x7C
        new IllegalInstruction(),    //0x7D
        new IllegalInstruction(),    //0x7E
        new IllegalInstruction(),    //0x7F
        new IllegalInstruction(),    //0x80
        new IllegalInstruction(),    //0x81
        new IllegalInstruction(),    //0x82
        new IllegalInstruction(),    //0x83
        new IllegalInstruction(),    //0x84
        new IllegalInstruction(),    //0x85
        new IllegalInstruction(),    //0x86
        new IllegalInstruction(),    //0x87
        new IllegalInstruction(),    //0x88
        new IllegalInstruction(),    //0x89
        new IllegalInstruction(),    //0x8A
        new IllegalInstruction(),    //0x8B
        new CpyImm(),    //0x8C
        new IllegalInstruction(),    //0x8D
        new IllegalInstruction(),    //0x8E
        new XgdyInh(),    //0x8F
        new IllegalInstruction(),    //0x90
        new IllegalInstruction(),    //0x91
        new IllegalInstruction(),    //0x92
        new IllegalInstruction(),    //0x93
        new IllegalInstruction(),    //0x94
        new IllegalInstruction(),    //0x95
        new IllegalInstruction(),    //0x96
        new IllegalInstruction(),    //0x97
        new IllegalInstruction(),    //0x98
        new IllegalInstruction(),    //0x99
        new IllegalInstruction(),    //0x9A
        new IllegalInstruction(),    //0x9B
        new CpyDir(),    //0x9C
        new IllegalInstruction(),    //0x9D
        new IllegalInstruction(),    //0x9E
        new IllegalInstruction(),    //0x9F
        new SubaIndY(),    //0xA0
        new CmpaIndY(),    //0xA1
        new SbcaIndY(),    //0xA2
        new SubdIndY(),    //0xA3
        new AndaIndY(),    //0xA4
        new BitaIndY(),    //0xA5
        new LdaaIndY(),    //0xA6
        new StaaIndY(),    //0xA7
        new EoraIndY(),    //0xA8
        new AdcaIndY(),    //0xA9
        new OraaIndY(),    //0xAA
        new AddaIndY(),    //0xAB
        new CpyIndY(),    //0xAC
        new JsrIndY(),    //0xAD
        new LdsIndY(),    //0xAE
        new StsIndY(),    //0xAF
        new IllegalInstruction(),    //0xB0
        new IllegalInstruction(),    //0xB1
        new IllegalInstruction(),    //0xB2
        new IllegalInstruction(),    //0xB3
        new IllegalInstruction(),    //0xB4
        new IllegalInstruction(),    //0xB5
        new IllegalInstruction(),    //0xB6
        new IllegalInstruction(),    //0xB7
        new IllegalInstruction(),    //0xB8
        new IllegalInstruction(),    //0xB9
        new IllegalInstruction(),    //0xBA
        new IllegalInstruction(),    //0xBB
        new CpyExt(),    //0xBC
        new IllegalInstruction(),    //0xBD
        new IllegalInstruction(),    //0xBE
        new IllegalInstruction(),    //0xBF
        new IllegalInstruction(),    //0xC0
        new IllegalInstruction(),    //0xC1
        new IllegalInstruction(),    //0xC2
        new IllegalInstruction(),    //0xC3
        new IllegalInstruction(),    //0xC4
        new IllegalInstruction(),    //0xC5
        new IllegalInstruction(),    //0xC6
        new IllegalInstruction(),    //0xC7
        new IllegalInstruction(),    //0xC8
        new IllegalInstruction(),    //0xC9
        new IllegalInstruction(),    //0xCA
        new IllegalInstruction(),    //0xCB
        new IllegalInstruction(),    //0xCC
        new IllegalInstruction(),    //0xCD
        new LdyImm(),    //0xCE
        new IllegalInstruction(),    //0xCF
        new IllegalInstruction(),    //0xD0
        new IllegalInstruction(),    //0xD1
        new IllegalInstruction(),    //0xD2
        new IllegalInstruction(),    //0xD3
        new IllegalInstruction(),    //0xD4
        new IllegalInstruction(),    //0xD5
        new IllegalInstruction(),    //0xD6
        new IllegalInstruction(),    //0xD7
        new IllegalInstruction(),    //0xD8
        new IllegalInstruction(),    //0xD9
        new IllegalInstruction(),    //0xDA
        new IllegalInstruction(),    //0xDB
        new IllegalInstruction(),    //0xDC
        new IllegalInstruction(),    //0xDD
        new LdyDir(),    //0xDE
        new StyDir(),    //0xDF
        new SubbIndY(),    //0xE0
        new CmpbIndY(),    //0xE1
        new SbcbIndY(),    //0xE2
        new AdddIndY(),    //0xE3
        new AndbIndY(),    //0xE4
        new BitbIndY(),    //0xE5
        new LdabIndY(),    //0xE6
        new StabIndY(),    //0xE7
        new EorbIndY(),    //0xE8
        new AdcbIndY(),    //0xE9
        new OrabIndY(),    //0xEA
        new AddbIndY(),    //0xEB
        new LddIndY(),    //0xEC
        new StdIndY(),    //0xED
        new LdyIndY(),    //0xEE
        new StyIndY(),    //0xEF
        new IllegalInstruction(),    //0xF0
        new IllegalInstruction(),    //0xF1
        new IllegalInstruction(),    //0xF2
        new IllegalInstruction(),    //0xF3
        new IllegalInstruction(),    //0xF4
        new IllegalInstruction(),    //0xF5
        new IllegalInstruction(),    //0xF6
        new IllegalInstruction(),    //0xF7
        new IllegalInstruction(),    //0xF8
        new IllegalInstruction(),    //0xF9
        new IllegalInstruction(),    //0xFA
        new IllegalInstruction(),    //0xFB
        new IllegalInstruction(),    //0xFC
        new IllegalInstruction(),    //0xFD
        new LdyExt(),    //0xFE
        new StyExt(),    //0xFF
    };
}
