package com.kclowes.sim11;
/**The PSHY instruction with inherent addressing.
 */

public class PshyInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	push16(cpu.IY);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "PSHY";
    }
}
