package com.kclowes.sim11;
/**The ROLA instruction with inherent addressing.
 */

public class RolaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccA = rol8(cpu.AccA);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "ROLA";
    }
}
