package com.kclowes.sim11;
/** The abstract ROR instruction.
 *
 */
public abstract class RorAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	int op = getOperand();
	op = ror8(op);
	writeOperand8(op, address);
	cpu.incrementCycles();
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "ROR";
    }
}
