package com.kclowes.sim11;
/**The SBA instruction with inherent addressing.
 */

public class SbaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	CPU6811.AccA = sub8(CPU6811.AccA, CPU6811.AccB);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "SBA";
    }
}
