package com.kclowes.sim11;
/** The abstract SBCA instruction.
 *
 */
public abstract class SbcaAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      CPU6811.AccA = sub8(CPU6811.AccA - (cpu.CC_C ? 1 : 0), op);
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "SBCA";
    }
}
