package com.kclowes.sim11;
/** The abstract SBCB instruction.
 *
 */
public abstract class SbcbAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      CPU6811.AccB = sub8(CPU6811.AccB - (cpu.CC_C ? 1 : 0), op);
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "SBCB";
    }
}
