package com.kclowes.sim11;
/** The abstract STAA instruction.
 *
 */
public abstract class StaaAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	setNZ8(cpu.AccA);
	cpu.CC_V = false;
	writeOperand8(cpu.AccA, address);
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "STAA";
    }
}
