package com.kclowes.sim11;
/** The abstract STD instruction.
 *
 */
public abstract class StdAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	setNZ16(cpu.getAccD());
	cpu.CC_V = false;
	writeOperand16(cpu.getAccD(), address);
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "STD";
    }
}
