package com.kclowes.sim11;
/**The STOP instruction with inherent addressing.
 */

public class StopInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    public int execute()
    {
	cpu.incrementCycles();
	cpu.stopSim();
	return Instruction.STOP;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "STOP";
    }
}
