package com.kclowes.sim11;
/** The abstract STS instruction.
 *
 */
public abstract class StsAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	setNZ16(cpu.getSP());
	cpu.CC_V = false;
	writeOperand16(cpu.getSP(), address);
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "STS";
    }
}
