package com.kclowes.sim11;
/** The abstract STX instruction.
 *
 */
public abstract class StxAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	setNZ16(cpu.IX);
	cpu.CC_V = false;
	writeOperand16(cpu.IX, address);
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "STX";
    }
}
