package com.kclowes.sim11;
/** The abstract STY instruction.
 *
 */
public abstract class StyAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int address = getOperandAddress();
	setNZ16(cpu.IY);
	cpu.CC_V = false;
	writeOperand16(cpu.IY, address);
	return -1;
    }

    final protected String getOpSymbolic()
    {
      return "STY";
    }
}
