package com.kclowes.sim11;
/** The abstract SUBD instruction.
 *
 */
public abstract class SubdAbstract extends  AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
      int op = getOperand();
      cpu.setAccD(sub16(cpu.getAccD(), op));
      cpu.incrementCycles();
      return -1;
    }

    final protected String getOpSymbolic()
    {
      return "SUBD";
    }
}
