package com.kclowes.sim11;
/**The TBA instruction with inherent addressing.
 */

public class TbaInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	cpu.AccA = cpu.AccB;
	setNZ8(cpu.AccB);
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "TBA";
    }
}
