package com.kclowes.sim11;
/**The XGDX instruction with inherent addressing.
 */

public class XgdxInh extends AbstractInstruction
{
    private CPU6811 cpu =  CPU6811.getInstance();

    final public int execute()
    {
	int tmp;
	tmp = cpu.getAccD();
	cpu.setAccD(cpu.IX);
	cpu.IX = tmp;
	cpu.incrementCycles();
	cpu.incrementCycles();
	return -1;
    }

    final int getAddressingMode() {return Instruction.INH;}

    final protected String getOpSymbolic()
    {
      return "XGDX";
    }
}
