package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the hi byte of the TOC1 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC1hi extends TOChi
{
    static private TOC1hi INSTANCE = new TOC1hi(DevRegisters.TOC1_ADDRESS);
    public static TOC1hi getInstance()
    {
	return INSTANCE;
    }
    
    private TOC1hi(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC1-hi";
    }
}

