package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the hi byte of the TOC2 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC2hi extends TOChi
{
    static private TOC2hi INSTANCE = new TOC2hi(DevRegisters.TOC2_ADDRESS);
    public static TOC2hi getInstance()
    {
	return INSTANCE;
    }
    
    private TOC2hi(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC2-hi";
    }
}

