package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the lo byte of the TOC2 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC2lo extends TOClo
{
    static private TOC2lo INSTANCE = new TOC2lo(DevRegisters.TOC2_ADDRESS+1);
    public static TOC2lo getInstance()
    {
	return INSTANCE;
    }
    
    private TOC2lo(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC2-lo";
    }

    protected int getOCChannel()
    {
	return 2;
    }
}

