package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the lo byte of the TOC4 register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public  class TOC4lo extends TOClo
{
    static private TOC4lo INSTANCE = new TOC4lo(DevRegisters.TOC4_ADDRESS+1);
    public static TOC4lo getInstance()
    {
	return INSTANCE;
    }
    
    private TOC4lo(int address)
    {
	super(address);
    }
    
    
    public String getName()
    {
	return "TOC4-lo";
    }

    protected int getOCChannel()
    {
	return 4;
    }
}

