package com.kclowes.sim11.devices;
import com.kclowes.sim11.*;
/** Implements the hi byte of a Timer Output Compare register.
 *  @version 1.0 (October 23, 2002)
 *  @author Ken Clowes
 */


public abstract class TOChi
    extends SpecialByteCell
    implements Cell {

    protected MemorySpace mem = MemorySpace64K.getInstance();

    public TOChi(int address)
    {
	super(address);
	mem.setCell(address, this);
	reset();
    }


    public String getName()
    {
	return "TOC-hi";
    }

    public void reset()
    {
	set(0xff);
    }
}

