package com.kclowes.sim11.ui;
import com.kclowes.sim11.*;
import com.kclowes.sim11.devices.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.html.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
/** Creates a frame for Configuration Info about sim11.
 * </p>
 *  @version 1.0 (October 16, 2002)
 *  @author Ken Clowes
 */

public class ConfigInfo extends JFrame
{

    /**
     * The width (in pixels) of the <code>ConfigInfo</code> window.
     */
    public static int WIDTH = 230;

    /**
     * The height (in pixels) of the <code>ConfigInfo</code> window.
     */
    public static int HEIGHT = 650;
    ConfigInfo(String info)
    {
	JEditorPane infoPane = null;
	JScrollPane scroll = null;
	setDefaultCloseOperation(DISPOSE_ON_CLOSE);
	
	infoPane = new JEditorPane("text/plain", info);
	infoPane.setEditable(false);
	scroll = new JScrollPane(infoPane);
	
	setLocation(100, 50);
	getContentPane().add(scroll);
	setSize(WIDTH, HEIGHT);
	setVisible(true);
	show();
    }
    
    static public void main(String args[])
    {
	ConfigInfo mainFrame = new ConfigInfo("Hello world");
    }
}
